IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/84
Addresses2^44
/64 networksPart of one
- Network
2001:db8::1:c000:0:0/84- First address
2001:db8::1:c000:0:0- Last address
2001:db8::1:cfff:ffff:ffff- Addresses
- 17,592,186,044,416 (2^44)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0001:c000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
c.1.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::1:c000:0:0/84 makes 256 subnets of /92.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::1:c000:0:0/92 | 2001:db8::1:c00f:ffff:ffff |
| 2 | 2001:db8::1:c010:0:0/92 | 2001:db8::1:c01f:ffff:ffff |
| 3 | 2001:db8::1:c020:0:0/92 | 2001:db8::1:c02f:ffff:ffff |
| 4 | 2001:db8::1:c030:0:0/92 | 2001:db8::1:c03f:ffff:ffff |
| 5 | 2001:db8::1:c040:0:0/92 | 2001:db8::1:c04f:ffff:ffff |
| 6 | 2001:db8::1:c050:0:0/92 | 2001:db8::1:c05f:ffff:ffff |
| 7 | 2001:db8::1:c060:0:0/92 | 2001:db8::1:c06f:ffff:ffff |
| 8 | 2001:db8::1:c070:0:0/92 | 2001:db8::1:c07f:ffff:ffff |
| 9 | 2001:db8::1:c080:0:0/92 | 2001:db8::1:c08f:ffff:ffff |
| 10 | 2001:db8::1:c090:0:0/92 | 2001:db8::1:c09f:ffff:ffff |
| 11 | 2001:db8::1:c0a0:0:0/92 | 2001:db8::1:c0af:ffff:ffff |
| 12 | 2001:db8::1:c0b0:0:0/92 | 2001:db8::1:c0bf:ffff:ffff |
| 13 | 2001:db8::1:c0c0:0:0/92 | 2001:db8::1:c0cf:ffff:ffff |
| 14 | 2001:db8::1:c0d0:0:0/92 | 2001:db8::1:c0df:ffff:ffff |
| 15 | 2001:db8::1:c0e0:0:0/92 | 2001:db8::1:c0ef:ffff:ffff |
| 16 | 2001:db8::1:c0f0:0:0/92 | 2001:db8::1:c0ff:ffff:ffff |
| 17 | 2001:db8::1:c100:0:0/92 | 2001:db8::1:c10f:ffff:ffff |
| 18 | 2001:db8::1:c110:0:0/92 | 2001:db8::1:c11f:ffff:ffff |
| 19 | 2001:db8::1:c120:0:0/92 | 2001:db8::1:c12f:ffff:ffff |
| 20 | 2001:db8::1:c130:0:0/92 | 2001:db8::1:c13f:ffff:ffff |
| 21 | 2001:db8::1:c140:0:0/92 | 2001:db8::1:c14f:ffff:ffff |
| 22 | 2001:db8::1:c150:0:0/92 | 2001:db8::1:c15f:ffff:ffff |
| 23 | 2001:db8::1:c160:0:0/92 | 2001:db8::1:c16f:ffff:ffff |
| 24 | 2001:db8::1:c170:0:0/92 | 2001:db8::1:c17f:ffff:ffff |
| 25 | 2001:db8::1:c180:0:0/92 | 2001:db8::1:c18f:ffff:ffff |
| 26 | 2001:db8::1:c190:0:0/92 | 2001:db8::1:c19f:ffff:ffff |
| 27 | 2001:db8::1:c1a0:0:0/92 | 2001:db8::1:c1af:ffff:ffff |
| 28 | 2001:db8::1:c1b0:0:0/92 | 2001:db8::1:c1bf:ffff:ffff |
| 29 | 2001:db8::1:c1c0:0:0/92 | 2001:db8::1:c1cf:ffff:ffff |
| 30 | 2001:db8::1:c1d0:0:0/92 | 2001:db8::1:c1df:ffff:ffff |
| 31 | 2001:db8::1:c1e0:0:0/92 | 2001:db8::1:c1ef:ffff:ffff |
| 32 | 2001:db8::1:c1f0:0:0/92 | 2001:db8::1:c1ff:ffff:ffff |
| 33 | 2001:db8::1:c200:0:0/92 | 2001:db8::1:c20f:ffff:ffff |
| 34 | 2001:db8::1:c210:0:0/92 | 2001:db8::1:c21f:ffff:ffff |
| 35 | 2001:db8::1:c220:0:0/92 | 2001:db8::1:c22f:ffff:ffff |
| 36 | 2001:db8::1:c230:0:0/92 | 2001:db8::1:c23f:ffff:ffff |
| 37 | 2001:db8::1:c240:0:0/92 | 2001:db8::1:c24f:ffff:ffff |
| 38 | 2001:db8::1:c250:0:0/92 | 2001:db8::1:c25f:ffff:ffff |
| 39 | 2001:db8::1:c260:0:0/92 | 2001:db8::1:c26f:ffff:ffff |
| 40 | 2001:db8::1:c270:0:0/92 | 2001:db8::1:c27f:ffff:ffff |
| 41 | 2001:db8::1:c280:0:0/92 | 2001:db8::1:c28f:ffff:ffff |
| 42 | 2001:db8::1:c290:0:0/92 | 2001:db8::1:c29f:ffff:ffff |
| 43 | 2001:db8::1:c2a0:0:0/92 | 2001:db8::1:c2af:ffff:ffff |
| 44 | 2001:db8::1:c2b0:0:0/92 | 2001:db8::1:c2bf:ffff:ffff |
| 45 | 2001:db8::1:c2c0:0:0/92 | 2001:db8::1:c2cf:ffff:ffff |
| 46 | 2001:db8::1:c2d0:0:0/92 | 2001:db8::1:c2df:ffff:ffff |
| 47 | 2001:db8::1:c2e0:0:0/92 | 2001:db8::1:c2ef:ffff:ffff |
| 48 | 2001:db8::1:c2f0:0:0/92 | 2001:db8::1:c2ff:ffff:ffff |
| 49 | 2001:db8::1:c300:0:0/92 | 2001:db8::1:c30f:ffff:ffff |
| 50 | 2001:db8::1:c310:0:0/92 | 2001:db8::1:c31f:ffff:ffff |
| 51 | 2001:db8::1:c320:0:0/92 | 2001:db8::1:c32f:ffff:ffff |
| 52 | 2001:db8::1:c330:0:0/92 | 2001:db8::1:c33f:ffff:ffff |
| 53 | 2001:db8::1:c340:0:0/92 | 2001:db8::1:c34f:ffff:ffff |
| 54 | 2001:db8::1:c350:0:0/92 | 2001:db8::1:c35f:ffff:ffff |
| 55 | 2001:db8::1:c360:0:0/92 | 2001:db8::1:c36f:ffff:ffff |
| 56 | 2001:db8::1:c370:0:0/92 | 2001:db8::1:c37f:ffff:ffff |
| 57 | 2001:db8::1:c380:0:0/92 | 2001:db8::1:c38f:ffff:ffff |
| 58 | 2001:db8::1:c390:0:0/92 | 2001:db8::1:c39f:ffff:ffff |
| 59 | 2001:db8::1:c3a0:0:0/92 | 2001:db8::1:c3af:ffff:ffff |
| 60 | 2001:db8::1:c3b0:0:0/92 | 2001:db8::1:c3bf:ffff:ffff |
| 61 | 2001:db8::1:c3c0:0:0/92 | 2001:db8::1:c3cf:ffff:ffff |
| 62 | 2001:db8::1:c3d0:0:0/92 | 2001:db8::1:c3df:ffff:ffff |
| 63 | 2001:db8::1:c3e0:0:0/92 | 2001:db8::1:c3ef:ffff:ffff |
| 64 | 2001:db8::1:c3f0:0:0/92 | 2001:db8::1:c3ff:ffff:ffff |
| 65 | 2001:db8::1:c400:0:0/92 | 2001:db8::1:c40f:ffff:ffff |
| 66 | 2001:db8::1:c410:0:0/92 | 2001:db8::1:c41f:ffff:ffff |
| 67 | 2001:db8::1:c420:0:0/92 | 2001:db8::1:c42f:ffff:ffff |
| 68 | 2001:db8::1:c430:0:0/92 | 2001:db8::1:c43f:ffff:ffff |
| 69 | 2001:db8::1:c440:0:0/92 | 2001:db8::1:c44f:ffff:ffff |
| 70 | 2001:db8::1:c450:0:0/92 | 2001:db8::1:c45f:ffff:ffff |
| 71 | 2001:db8::1:c460:0:0/92 | 2001:db8::1:c46f:ffff:ffff |
| 72 | 2001:db8::1:c470:0:0/92 | 2001:db8::1:c47f:ffff:ffff |
| 73 | 2001:db8::1:c480:0:0/92 | 2001:db8::1:c48f:ffff:ffff |
| 74 | 2001:db8::1:c490:0:0/92 | 2001:db8::1:c49f:ffff:ffff |
| 75 | 2001:db8::1:c4a0:0:0/92 | 2001:db8::1:c4af:ffff:ffff |
| 76 | 2001:db8::1:c4b0:0:0/92 | 2001:db8::1:c4bf:ffff:ffff |
| 77 | 2001:db8::1:c4c0:0:0/92 | 2001:db8::1:c4cf:ffff:ffff |
| 78 | 2001:db8::1:c4d0:0:0/92 | 2001:db8::1:c4df:ffff:ffff |
| 79 | 2001:db8::1:c4e0:0:0/92 | 2001:db8::1:c4ef:ffff:ffff |
| 80 | 2001:db8::1:c4f0:0:0/92 | 2001:db8::1:c4ff:ffff:ffff |
| 81 | 2001:db8::1:c500:0:0/92 | 2001:db8::1:c50f:ffff:ffff |
| 82 | 2001:db8::1:c510:0:0/92 | 2001:db8::1:c51f:ffff:ffff |
| 83 | 2001:db8::1:c520:0:0/92 | 2001:db8::1:c52f:ffff:ffff |
| 84 | 2001:db8::1:c530:0:0/92 | 2001:db8::1:c53f:ffff:ffff |
| 85 | 2001:db8::1:c540:0:0/92 | 2001:db8::1:c54f:ffff:ffff |
| 86 | 2001:db8::1:c550:0:0/92 | 2001:db8::1:c55f:ffff:ffff |
| 87 | 2001:db8::1:c560:0:0/92 | 2001:db8::1:c56f:ffff:ffff |
| 88 | 2001:db8::1:c570:0:0/92 | 2001:db8::1:c57f:ffff:ffff |
| 89 | 2001:db8::1:c580:0:0/92 | 2001:db8::1:c58f:ffff:ffff |
| 90 | 2001:db8::1:c590:0:0/92 | 2001:db8::1:c59f:ffff:ffff |
| 91 | 2001:db8::1:c5a0:0:0/92 | 2001:db8::1:c5af:ffff:ffff |
| 92 | 2001:db8::1:c5b0:0:0/92 | 2001:db8::1:c5bf:ffff:ffff |
| 93 | 2001:db8::1:c5c0:0:0/92 | 2001:db8::1:c5cf:ffff:ffff |
| 94 | 2001:db8::1:c5d0:0:0/92 | 2001:db8::1:c5df:ffff:ffff |
| 95 | 2001:db8::1:c5e0:0:0/92 | 2001:db8::1:c5ef:ffff:ffff |
| 96 | 2001:db8::1:c5f0:0:0/92 | 2001:db8::1:c5ff:ffff:ffff |
| 97 | 2001:db8::1:c600:0:0/92 | 2001:db8::1:c60f:ffff:ffff |
| 98 | 2001:db8::1:c610:0:0/92 | 2001:db8::1:c61f:ffff:ffff |
| 99 | 2001:db8::1:c620:0:0/92 | 2001:db8::1:c62f:ffff:ffff |
| 100 | 2001:db8::1:c630:0:0/92 | 2001:db8::1:c63f:ffff:ffff |
| 101 | 2001:db8::1:c640:0:0/92 | 2001:db8::1:c64f:ffff:ffff |
| 102 | 2001:db8::1:c650:0:0/92 | 2001:db8::1:c65f:ffff:ffff |
| 103 | 2001:db8::1:c660:0:0/92 | 2001:db8::1:c66f:ffff:ffff |
| 104 | 2001:db8::1:c670:0:0/92 | 2001:db8::1:c67f:ffff:ffff |
| 105 | 2001:db8::1:c680:0:0/92 | 2001:db8::1:c68f:ffff:ffff |
| 106 | 2001:db8::1:c690:0:0/92 | 2001:db8::1:c69f:ffff:ffff |
| 107 | 2001:db8::1:c6a0:0:0/92 | 2001:db8::1:c6af:ffff:ffff |
| 108 | 2001:db8::1:c6b0:0:0/92 | 2001:db8::1:c6bf:ffff:ffff |
| 109 | 2001:db8::1:c6c0:0:0/92 | 2001:db8::1:c6cf:ffff:ffff |
| 110 | 2001:db8::1:c6d0:0:0/92 | 2001:db8::1:c6df:ffff:ffff |
| 111 | 2001:db8::1:c6e0:0:0/92 | 2001:db8::1:c6ef:ffff:ffff |
| 112 | 2001:db8::1:c6f0:0:0/92 | 2001:db8::1:c6ff:ffff:ffff |
| 113 | 2001:db8::1:c700:0:0/92 | 2001:db8::1:c70f:ffff:ffff |
| 114 | 2001:db8::1:c710:0:0/92 | 2001:db8::1:c71f:ffff:ffff |
| 115 | 2001:db8::1:c720:0:0/92 | 2001:db8::1:c72f:ffff:ffff |
| 116 | 2001:db8::1:c730:0:0/92 | 2001:db8::1:c73f:ffff:ffff |
| 117 | 2001:db8::1:c740:0:0/92 | 2001:db8::1:c74f:ffff:ffff |
| 118 | 2001:db8::1:c750:0:0/92 | 2001:db8::1:c75f:ffff:ffff |
| 119 | 2001:db8::1:c760:0:0/92 | 2001:db8::1:c76f:ffff:ffff |
| 120 | 2001:db8::1:c770:0:0/92 | 2001:db8::1:c77f:ffff:ffff |
| 121 | 2001:db8::1:c780:0:0/92 | 2001:db8::1:c78f:ffff:ffff |
| 122 | 2001:db8::1:c790:0:0/92 | 2001:db8::1:c79f:ffff:ffff |
| 123 | 2001:db8::1:c7a0:0:0/92 | 2001:db8::1:c7af:ffff:ffff |
| 124 | 2001:db8::1:c7b0:0:0/92 | 2001:db8::1:c7bf:ffff:ffff |
| 125 | 2001:db8::1:c7c0:0:0/92 | 2001:db8::1:c7cf:ffff:ffff |
| 126 | 2001:db8::1:c7d0:0:0/92 | 2001:db8::1:c7df:ffff:ffff |
| 127 | 2001:db8::1:c7e0:0:0/92 | 2001:db8::1:c7ef:ffff:ffff |
| 128 | 2001:db8::1:c7f0:0:0/92 | 2001:db8::1:c7ff:ffff:ffff |
| 129 | 2001:db8::1:c800:0:0/92 | 2001:db8::1:c80f:ffff:ffff |
| 130 | 2001:db8::1:c810:0:0/92 | 2001:db8::1:c81f:ffff:ffff |
| 131 | 2001:db8::1:c820:0:0/92 | 2001:db8::1:c82f:ffff:ffff |
| 132 | 2001:db8::1:c830:0:0/92 | 2001:db8::1:c83f:ffff:ffff |
| 133 | 2001:db8::1:c840:0:0/92 | 2001:db8::1:c84f:ffff:ffff |
| 134 | 2001:db8::1:c850:0:0/92 | 2001:db8::1:c85f:ffff:ffff |
| 135 | 2001:db8::1:c860:0:0/92 | 2001:db8::1:c86f:ffff:ffff |
| 136 | 2001:db8::1:c870:0:0/92 | 2001:db8::1:c87f:ffff:ffff |
| 137 | 2001:db8::1:c880:0:0/92 | 2001:db8::1:c88f:ffff:ffff |
| 138 | 2001:db8::1:c890:0:0/92 | 2001:db8::1:c89f:ffff:ffff |
| 139 | 2001:db8::1:c8a0:0:0/92 | 2001:db8::1:c8af:ffff:ffff |
| 140 | 2001:db8::1:c8b0:0:0/92 | 2001:db8::1:c8bf:ffff:ffff |
| 141 | 2001:db8::1:c8c0:0:0/92 | 2001:db8::1:c8cf:ffff:ffff |
| 142 | 2001:db8::1:c8d0:0:0/92 | 2001:db8::1:c8df:ffff:ffff |
| 143 | 2001:db8::1:c8e0:0:0/92 | 2001:db8::1:c8ef:ffff:ffff |
| 144 | 2001:db8::1:c8f0:0:0/92 | 2001:db8::1:c8ff:ffff:ffff |
| 145 | 2001:db8::1:c900:0:0/92 | 2001:db8::1:c90f:ffff:ffff |
| 146 | 2001:db8::1:c910:0:0/92 | 2001:db8::1:c91f:ffff:ffff |
| 147 | 2001:db8::1:c920:0:0/92 | 2001:db8::1:c92f:ffff:ffff |
| 148 | 2001:db8::1:c930:0:0/92 | 2001:db8::1:c93f:ffff:ffff |
| 149 | 2001:db8::1:c940:0:0/92 | 2001:db8::1:c94f:ffff:ffff |
| 150 | 2001:db8::1:c950:0:0/92 | 2001:db8::1:c95f:ffff:ffff |
| 151 | 2001:db8::1:c960:0:0/92 | 2001:db8::1:c96f:ffff:ffff |
| 152 | 2001:db8::1:c970:0:0/92 | 2001:db8::1:c97f:ffff:ffff |
| 153 | 2001:db8::1:c980:0:0/92 | 2001:db8::1:c98f:ffff:ffff |
| 154 | 2001:db8::1:c990:0:0/92 | 2001:db8::1:c99f:ffff:ffff |
| 155 | 2001:db8::1:c9a0:0:0/92 | 2001:db8::1:c9af:ffff:ffff |
| 156 | 2001:db8::1:c9b0:0:0/92 | 2001:db8::1:c9bf:ffff:ffff |
| 157 | 2001:db8::1:c9c0:0:0/92 | 2001:db8::1:c9cf:ffff:ffff |
| 158 | 2001:db8::1:c9d0:0:0/92 | 2001:db8::1:c9df:ffff:ffff |
| 159 | 2001:db8::1:c9e0:0:0/92 | 2001:db8::1:c9ef:ffff:ffff |
| 160 | 2001:db8::1:c9f0:0:0/92 | 2001:db8::1:c9ff:ffff:ffff |
| 161 | 2001:db8::1:ca00:0:0/92 | 2001:db8::1:ca0f:ffff:ffff |
| 162 | 2001:db8::1:ca10:0:0/92 | 2001:db8::1:ca1f:ffff:ffff |
| 163 | 2001:db8::1:ca20:0:0/92 | 2001:db8::1:ca2f:ffff:ffff |
| 164 | 2001:db8::1:ca30:0:0/92 | 2001:db8::1:ca3f:ffff:ffff |
| 165 | 2001:db8::1:ca40:0:0/92 | 2001:db8::1:ca4f:ffff:ffff |
| 166 | 2001:db8::1:ca50:0:0/92 | 2001:db8::1:ca5f:ffff:ffff |
| 167 | 2001:db8::1:ca60:0:0/92 | 2001:db8::1:ca6f:ffff:ffff |
| 168 | 2001:db8::1:ca70:0:0/92 | 2001:db8::1:ca7f:ffff:ffff |
| 169 | 2001:db8::1:ca80:0:0/92 | 2001:db8::1:ca8f:ffff:ffff |
| 170 | 2001:db8::1:ca90:0:0/92 | 2001:db8::1:ca9f:ffff:ffff |
| 171 | 2001:db8::1:caa0:0:0/92 | 2001:db8::1:caaf:ffff:ffff |
| 172 | 2001:db8::1:cab0:0:0/92 | 2001:db8::1:cabf:ffff:ffff |
| 173 | 2001:db8::1:cac0:0:0/92 | 2001:db8::1:cacf:ffff:ffff |
| 174 | 2001:db8::1:cad0:0:0/92 | 2001:db8::1:cadf:ffff:ffff |
| 175 | 2001:db8::1:cae0:0:0/92 | 2001:db8::1:caef:ffff:ffff |
| 176 | 2001:db8::1:caf0:0:0/92 | 2001:db8::1:caff:ffff:ffff |
| 177 | 2001:db8::1:cb00:0:0/92 | 2001:db8::1:cb0f:ffff:ffff |
| 178 | 2001:db8::1:cb10:0:0/92 | 2001:db8::1:cb1f:ffff:ffff |
| 179 | 2001:db8::1:cb20:0:0/92 | 2001:db8::1:cb2f:ffff:ffff |
| 180 | 2001:db8::1:cb30:0:0/92 | 2001:db8::1:cb3f:ffff:ffff |
| 181 | 2001:db8::1:cb40:0:0/92 | 2001:db8::1:cb4f:ffff:ffff |
| 182 | 2001:db8::1:cb50:0:0/92 | 2001:db8::1:cb5f:ffff:ffff |
| 183 | 2001:db8::1:cb60:0:0/92 | 2001:db8::1:cb6f:ffff:ffff |
| 184 | 2001:db8::1:cb70:0:0/92 | 2001:db8::1:cb7f:ffff:ffff |
| 185 | 2001:db8::1:cb80:0:0/92 | 2001:db8::1:cb8f:ffff:ffff |
| 186 | 2001:db8::1:cb90:0:0/92 | 2001:db8::1:cb9f:ffff:ffff |
| 187 | 2001:db8::1:cba0:0:0/92 | 2001:db8::1:cbaf:ffff:ffff |
| 188 | 2001:db8::1:cbb0:0:0/92 | 2001:db8::1:cbbf:ffff:ffff |
| 189 | 2001:db8::1:cbc0:0:0/92 | 2001:db8::1:cbcf:ffff:ffff |
| 190 | 2001:db8::1:cbd0:0:0/92 | 2001:db8::1:cbdf:ffff:ffff |
| 191 | 2001:db8::1:cbe0:0:0/92 | 2001:db8::1:cbef:ffff:ffff |
| 192 | 2001:db8::1:cbf0:0:0/92 | 2001:db8::1:cbff:ffff:ffff |
| 193 | 2001:db8::1:cc00:0:0/92 | 2001:db8::1:cc0f:ffff:ffff |
| 194 | 2001:db8::1:cc10:0:0/92 | 2001:db8::1:cc1f:ffff:ffff |
| 195 | 2001:db8::1:cc20:0:0/92 | 2001:db8::1:cc2f:ffff:ffff |
| 196 | 2001:db8::1:cc30:0:0/92 | 2001:db8::1:cc3f:ffff:ffff |
| 197 | 2001:db8::1:cc40:0:0/92 | 2001:db8::1:cc4f:ffff:ffff |
| 198 | 2001:db8::1:cc50:0:0/92 | 2001:db8::1:cc5f:ffff:ffff |
| 199 | 2001:db8::1:cc60:0:0/92 | 2001:db8::1:cc6f:ffff:ffff |
| 200 | 2001:db8::1:cc70:0:0/92 | 2001:db8::1:cc7f:ffff:ffff |
| 201 | 2001:db8::1:cc80:0:0/92 | 2001:db8::1:cc8f:ffff:ffff |
| 202 | 2001:db8::1:cc90:0:0/92 | 2001:db8::1:cc9f:ffff:ffff |
| 203 | 2001:db8::1:cca0:0:0/92 | 2001:db8::1:ccaf:ffff:ffff |
| 204 | 2001:db8::1:ccb0:0:0/92 | 2001:db8::1:ccbf:ffff:ffff |
| 205 | 2001:db8::1:ccc0:0:0/92 | 2001:db8::1:cccf:ffff:ffff |
| 206 | 2001:db8::1:ccd0:0:0/92 | 2001:db8::1:ccdf:ffff:ffff |
| 207 | 2001:db8::1:cce0:0:0/92 | 2001:db8::1:ccef:ffff:ffff |
| 208 | 2001:db8::1:ccf0:0:0/92 | 2001:db8::1:ccff:ffff:ffff |
| 209 | 2001:db8::1:cd00:0:0/92 | 2001:db8::1:cd0f:ffff:ffff |
| 210 | 2001:db8::1:cd10:0:0/92 | 2001:db8::1:cd1f:ffff:ffff |
| 211 | 2001:db8::1:cd20:0:0/92 | 2001:db8::1:cd2f:ffff:ffff |
| 212 | 2001:db8::1:cd30:0:0/92 | 2001:db8::1:cd3f:ffff:ffff |
| 213 | 2001:db8::1:cd40:0:0/92 | 2001:db8::1:cd4f:ffff:ffff |
| 214 | 2001:db8::1:cd50:0:0/92 | 2001:db8::1:cd5f:ffff:ffff |
| 215 | 2001:db8::1:cd60:0:0/92 | 2001:db8::1:cd6f:ffff:ffff |
| 216 | 2001:db8::1:cd70:0:0/92 | 2001:db8::1:cd7f:ffff:ffff |
| 217 | 2001:db8::1:cd80:0:0/92 | 2001:db8::1:cd8f:ffff:ffff |
| 218 | 2001:db8::1:cd90:0:0/92 | 2001:db8::1:cd9f:ffff:ffff |
| 219 | 2001:db8::1:cda0:0:0/92 | 2001:db8::1:cdaf:ffff:ffff |
| 220 | 2001:db8::1:cdb0:0:0/92 | 2001:db8::1:cdbf:ffff:ffff |
| 221 | 2001:db8::1:cdc0:0:0/92 | 2001:db8::1:cdcf:ffff:ffff |
| 222 | 2001:db8::1:cdd0:0:0/92 | 2001:db8::1:cddf:ffff:ffff |
| 223 | 2001:db8::1:cde0:0:0/92 | 2001:db8::1:cdef:ffff:ffff |
| 224 | 2001:db8::1:cdf0:0:0/92 | 2001:db8::1:cdff:ffff:ffff |
| 225 | 2001:db8::1:ce00:0:0/92 | 2001:db8::1:ce0f:ffff:ffff |
| 226 | 2001:db8::1:ce10:0:0/92 | 2001:db8::1:ce1f:ffff:ffff |
| 227 | 2001:db8::1:ce20:0:0/92 | 2001:db8::1:ce2f:ffff:ffff |
| 228 | 2001:db8::1:ce30:0:0/92 | 2001:db8::1:ce3f:ffff:ffff |
| 229 | 2001:db8::1:ce40:0:0/92 | 2001:db8::1:ce4f:ffff:ffff |
| 230 | 2001:db8::1:ce50:0:0/92 | 2001:db8::1:ce5f:ffff:ffff |
| 231 | 2001:db8::1:ce60:0:0/92 | 2001:db8::1:ce6f:ffff:ffff |
| 232 | 2001:db8::1:ce70:0:0/92 | 2001:db8::1:ce7f:ffff:ffff |
| 233 | 2001:db8::1:ce80:0:0/92 | 2001:db8::1:ce8f:ffff:ffff |
| 234 | 2001:db8::1:ce90:0:0/92 | 2001:db8::1:ce9f:ffff:ffff |
| 235 | 2001:db8::1:cea0:0:0/92 | 2001:db8::1:ceaf:ffff:ffff |
| 236 | 2001:db8::1:ceb0:0:0/92 | 2001:db8::1:cebf:ffff:ffff |
| 237 | 2001:db8::1:cec0:0:0/92 | 2001:db8::1:cecf:ffff:ffff |
| 238 | 2001:db8::1:ced0:0:0/92 | 2001:db8::1:cedf:ffff:ffff |
| 239 | 2001:db8::1:cee0:0:0/92 | 2001:db8::1:ceef:ffff:ffff |
| 240 | 2001:db8::1:cef0:0:0/92 | 2001:db8::1:ceff:ffff:ffff |
| 241 | 2001:db8::1:cf00:0:0/92 | 2001:db8::1:cf0f:ffff:ffff |
| 242 | 2001:db8::1:cf10:0:0/92 | 2001:db8::1:cf1f:ffff:ffff |
| 243 | 2001:db8::1:cf20:0:0/92 | 2001:db8::1:cf2f:ffff:ffff |
| 244 | 2001:db8::1:cf30:0:0/92 | 2001:db8::1:cf3f:ffff:ffff |
| 245 | 2001:db8::1:cf40:0:0/92 | 2001:db8::1:cf4f:ffff:ffff |
| 246 | 2001:db8::1:cf50:0:0/92 | 2001:db8::1:cf5f:ffff:ffff |
| 247 | 2001:db8::1:cf60:0:0/92 | 2001:db8::1:cf6f:ffff:ffff |
| 248 | 2001:db8::1:cf70:0:0/92 | 2001:db8::1:cf7f:ffff:ffff |
| 249 | 2001:db8::1:cf80:0:0/92 | 2001:db8::1:cf8f:ffff:ffff |
| 250 | 2001:db8::1:cf90:0:0/92 | 2001:db8::1:cf9f:ffff:ffff |
| 251 | 2001:db8::1:cfa0:0:0/92 | 2001:db8::1:cfaf:ffff:ffff |
| 252 | 2001:db8::1:cfb0:0:0/92 | 2001:db8::1:cfbf:ffff:ffff |
| 253 | 2001:db8::1:cfc0:0:0/92 | 2001:db8::1:cfcf:ffff:ffff |
| 254 | 2001:db8::1:cfd0:0:0/92 | 2001:db8::1:cfdf:ffff:ffff |
| 255 | 2001:db8::1:cfe0:0:0/92 | 2001:db8::1:cfef:ffff:ffff |
| 256 | 2001:db8::1:cff0:0:0/92 | 2001:db8::1:cfff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |